Bug 147042 - sendmail won't start
sendmail won't start
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-03 17:27 EST by Tom Wood
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 10:40:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Wood 2005-02-03 17:27:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
sendmail fails to start with the following error:

sendmail: fatal: flush queue mode requires no recipient


Version-Release number of selected component (if applicable):
sendmail-8.13.1-2

How reproducible:
Always

Steps to Reproduce:
1. service sendmail start
2. see error above
3.
    

Actual Results:  No sendmail

Expected Results:  sendmail should start

Additional info:

The bug seems to be caused by line # 65 in /etc/init.d/sendmail where
there is an extra space between the "-q" and $SMQUEUE.
Comment 1 Matthew Miller 2006-07-10 17:37:52 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Thomas Woerner 2006-07-11 10:40:46 EDT
Fixed in rawhide in RPM sendmail-8.13.7-3 or newer.

Note You need to log in before you can comment on or make changes to this bug.